import Ember from 'ember'

export default Ember.Component.extend
  classNames: ['ui-multi-select-container']
  labelProperty: 'name'
  placeholder: 'Select' # can be a text or translation string: organization.select_users.placeholder => # 'Select ${models.plural.user} (%{count})'
  options: []
  selected: []
  placeholder_text: Ember.computed 'placeholder', ->
    placeholder = @get('placeholder')
    placeholder = t(placeholder, count: @get('options.length')) if is_translation_path(placeholder)
    placeholder.htmlSafe()

